Loading...
Searching...
No Matches
cap_alloc File Reference

Abstract capability-allocator interface. More...

`#include <l4/sys/task>`
`#include <l4/sys/smart_capability>`
`#include <l4/re/consts>`
`#include <l4/cxx/type_traits>`
Include dependency graph for cap_alloc:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | L4Re::Cap_alloc
| Capability allocator interface. More...
class | L4Re::Smart_cap_auto< Unmap_flags >
| Helper for Unique_cap and Unique_del_cap. More...
class | L4Re::Smart_count_cap< Unmap_flags >
| Helper for Ref_cap and Ref_del_cap. More...

## Namespaces

namespace | L4Re
| L4Re C++ Interfaces.

## Detailed Description

Abstract capability-allocator interface.

Definition in file cap_alloc.